/*
 * PlatformCAccessor.h
 *
 *  Created on: Feb 15, 2013
 *      Author: Rodney
 */

#ifndef PLATFORMCACCESSOR_H_
#define PLATFORMCACCESSOR_H_

#define ERROR_CODE_OPEN_SSL_ILLEGAL  1173002
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_ISSUER_CERT  1173003
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_CRL  1173004
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_DECRYPT_CERT_SIGNATURE  1173005
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_DECRYPT_CRL_SIGNATURE  1173006
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_DECODE_ISSUER_PUBLIC_KEY  1173007
#define ERROR_CODE_OPEN_SSL_CERT_SIGNATURE_FAILURE  1173008
#define ERROR_CODE_OPEN_SSL_CRL_SIGNATURE_FAILURE  1173009
#define ERROR_CODE_OPEN_SSL_CERT_NOT_YET_VALID  1173010
#define ERROR_CODE_OPEN_SSL_CERT_HAS_EXPIRED  1173011
#define ERROR_CODE_OPEN_SSL_CRL_NOT_YET_VALID  1173012
#define ERROR_CODE_OPEN_SSL_CRL_HAS_EXPIRED  1173013
#define ERROR_CODE_OPEN_SSL_ERROR_IN_CERT_NOT_BEFORE_FIELD  1173014
#define ERROR_CODE_OPEN_SSL_ERROR_IN_CERT_NOT_AFTER_FIELD  1173015
#define ERROR_CODE_OPEN_SSL_ERROR_IN_CRL_LAST_UPDATE_FIELD  1173016
#define ERROR_CODE_OPEN_SSL_ERROR_IN_CRL_NEXT_UPDATE_FIELD  1173017
#define ERROR_CODE_OPEN_SSL_OUT_OF_MEM  1173018
#define ERROR_CODE_OPEN_SSL_DEPTH_ZERO_SELF_SIGNED_CERT  1173019
#define ERROR_CODE_OPEN_SSL_SELF_SIGNED_CERT_IN_CHAIN  1173020
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_ISSUER_CERT_LOCALLY   1173021
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_VERIFY_LEAF_SIGNATURE  1173022
#define ERROR_CODE_OPEN_SSL_CERT_CHAIN_TOO_LONG  1173023
#define ERROR_CODE_OPEN_SSL_CERT_REVOKED  1173024
#define ERROR_CODE_OPEN_SSL_INVALID_CA  1173025
#define ERROR_CODE_OPEN_SSL_PATH_LENGTH_EXCEEDED  1173026
#define ERROR_CODE_OPEN_SSL_INVALID_PURPOSE  1173027
#define ERROR_CODE_OPEN_SSL_CERT_UNTRUSTED  1173028
#define ERROR_CODE_OPEN_SSL_CERT_REJECTED  1173029
#define ERROR_CODE_OPEN_SSL_SUBJECT_ISSUER_MISMATCH  1173030
#define ERROR_CODE_OPEN_SSL_AKID_SKID_MISMATCH  1173031
#define ERROR_CODE_OPEN_SSL_AKID_ISSUER_SERIAL_MISMATCH  1173032
#define ERROR_CODE_OPEN_SSL_KEYUSAGE_NO_CERTSIGN  1173033
#define ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_CRL_ISSUER  1173034
#define ERROR_CODE_OPEN_SSL_UNHANDLED_CRITICAL_EXTENSION  1173035
#define ERROR_CODE_OPEN_SSL_KEYUSAGE_NO_CRL_SIGN  1173036
#define ERROR_CODE_OPEN_SSL_UNHANDLED_CRITICAL_CRL_EXTENSION  1173037
#define ERROR_CODE_OPEN_SSL_INVALID_NON_CA  1173038
#define ERROR_CODE_OPEN_SSL_PROXY_PATH_LENGTH_EXCEEDED  1173039
#define ERROR_CODE_OPEN_SSL_KEYUSAGE_NO_DIGITAL_SIGNATURE  1173040
#define ERROR_CODE_OPEN_SSL_PROXY_CERTIFICATES_NOT_ALLOWED  1173041
#define ERROR_CODE_OPEN_SSL_INVALID_EXTENSION  1173042
#define ERROR_CODE_OPEN_SSL_INVALID_POLICY_EXTENSION  1173043
#define ERROR_CODE_OPEN_SSL_NO_EXPLICIT_POLICY  1173044
#define ERROR_CODE_OPEN_SSL_DIFFERENT_CRL_SCOPE  1173045
#define ERROR_CODE_OPEN_SSL_UNSUPPORTED_EXTENSION_FEATURE  1173046
#define ERROR_CODE_OPEN_SSL_UNNESTED_RESOURCE  1173047
#define ERROR_CODE_OPEN_SSL_PERMITTED_VIOLATION  1173048
#define ERROR_CODE_OPEN_SSL_EXCLUDED_VIOLATION  1173049
#define ERROR_CODE_OPEN_SSL_SUBTREE_MINMAX  1173050
#define ERROR_CODE_OPEN_SSL_APPLICATION_VERIFICATION  1173051
#define ERROR_CODE_OPEN_SSL_UNSUPPORTED_CONSTRAINT_TYPE  1173052
#define ERROR_CODE_OPEN_SSL_UNSUPPORTED_CONSTRAINT_SYNTAX  1173053
#define ERROR_CODE_OPEN_SSL_UNSUPPORTED_NAME_SYNTAX  1173054
#define ERROR_CODE_OPEN_SSL_CRL_PATH_VALIDATION_ERROR  1173055

void ReportError(int type);

#endif /* PLATFORMCACCESSOR_H_ */
