#ifndef CONFIG_H
#define CONFIG_H

/**
	This namespace is for holding onto settings from config.xml
*/
namespace LibPlatform 
{
	namespace ApplicationConfig 
	{
		void SetMediaPlayer(int mediaPlayer);
		int GetMediaPlayer();
        void SetTVDisplayDimensions(int TVDisplayWidth, int TVDisplayHeight);
        void GetTVDisplayDimensions(int &outTVDisplayWidth, int &outTVDisplayHeight);
        void SetExtendedDisplay(bool extendedDisplay);
        bool GetExtendedDisplay();
		void SetIsServiceApplication(bool serviceApp);
        bool GetIsServiceApplication();
	}
}

#endif//CONFIG_H
